Issue 71468 - More possibilities to specify permissions on protecting a sheet
Summary: More possibilities to specify permissions on protecting a sheet
Status: ACCEPTED
Alias: None
Product: Calc
Classification: Application
Component: code (show other issues)
Version: OOo 2.0.4
Hardware: All All
: P3 Trivial with 19 votes (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
: 101940 (view as issue list)
Depends on: 97515
Blocks:
  Show dependency tree
 
Reported: 2006-11-12 20:50 UTC by cno
Modified: 2017-10-17 12:43 UTC (History)
6 users (show)

See Also:
Issue Type: PATCH
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
patch (31.96 KB, patch)
2007-06-13 14:52 UTC, kyoshida
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description cno 2006-11-12 20:50:51 UTC
Hi *,

Following on #57708, there are some more posibilities from Excel to mention.
Couldn't find an issue, so make one here.

On protecting a sheet in Excel, permission can be given on each of these points:
- Select locked cells
- Select unlocked cells
- format cells
- format columns
- format rows
- inster columns
- insert rows
- insert hyperlinks
- delete columns
- delete rows
- sort
- use autofilter
- use pivot table reports
- edit objects
- edit scenarios
Comment 1 cno 2007-06-13 14:50:50 UTC
Set to new
Comment 2 kyoshida 2007-06-13 14:52:30 UTC
Created attachment 45879 [details]
patch
Comment 3 kyoshida 2007-06-13 14:58:42 UTC
This patch does part of the internal heavy lift to implement this feature.  I
had to work on this recently for our Novell customers.  What the patch does is

1) Imports and exports relevant sheet protection options from and to an Excel
document,

2) Stores the sheet protection options internally so that Calc core can access
that information as needed, and

3) Use that information to restrict cell selection behaviors.  For this, "select
(un)locked cells" options are used to control the behavior.

What still needs to be done going forward:

1) Utilize the remaining sheet protection options, such as allow/disallow
autofilters etc. and manipulate the relevant Calc behaviors when the sheet is
protected, and

2) Create a nice UI for it. -> user experience / specification requirements?
Comment 4 kyoshida 2007-06-13 15:02:52 UTC
For the record, all of the options that Cor listed are loaded, stored, and saved
in this patch.
Comment 5 cno 2007-06-13 15:12:55 UTC
for the record: great news, Kohei :-)
Comment 6 frank 2007-06-14 10:34:31 UTC
Hi Niklas,

please have a look at this one and proceed as needed.

Frank
Comment 7 niklas.nebel 2007-08-30 20:25:54 UTC
Apart from what you mention, also missing is load & save to ODS, including
specification. It's nice to have this as a starting point for a complete
implementation, but it's not something that can be handled as a patch.
Comment 8 kyoshida 2007-09-04 22:13:07 UTC
I've created the scsheetprotection01 CWS for this.

http://eis.services.openoffice.org/EIS2/cws.ShowCWS?Path=SRC680%2Fscsheetprotection01
Comment 9 kyoshida 2007-09-12 17:53:56 UTC
I'm taking this.
Comment 10 kyoshida 2007-09-12 17:54:22 UTC
starting it.
Comment 11 Martin Hollmichel 2007-11-09 16:51:58 UTC
change target from 2.x to 3.x according to
http://wiki.services.openoffice.org/wiki/Target_3x
Comment 12 kyoshida 2008-07-07 15:56:06 UTC
From my prospective, I can initially implement:

- Select locked cells
- Select unlocked cells

and take care of the rest of the options at a later time.
Comment 13 kyoshida 2009-05-15 17:21:59 UTC
*** Issue 101940 has been marked as a duplicate of this issue. ***
Comment 14 kyoshida 2009-05-15 18:09:52 UTC
Just to update, the ODF file format change is still under review and not yet
finalized.

Here is the file format change proposal for the interested:
http://wiki.oasis-open.org/office/Spreadsheet_Table_Protection_Options

Meanwhile, scsheetprotection02 which includes refactoring of Calc code in
preparation for this feature is pending QA (has been for a month now).
Comment 15 oooforum (fr) 2011-01-03 15:45:03 UTC
Do you have some news about your proposal to OASIS?
Pending since july 2008...
Comment 16 Rob Weir 2013-07-30 02:45:33 UTC
Reset assignee on issues not touched by assignee in more than 1000 days.
Comment 17 oooforum (fr) 2017-04-25 09:50:40 UTC
Set this issue as PATCH
I don't know if it can be commited with AOO 4.x
Comment 18 oooforum (fr) 2017-09-06 16:42:41 UTC
*** Issue 127532 has been marked as a duplicate of this issue. ***
Comment 19 oooforum (fr) 2017-10-17 12:43:25 UTC
(In reply to oooforum (fr) from comment #17)
> Set this issue as PATCH
> I don't know if it can be commited with AOO 4.x
Answer's dev: attached patch that belongs to comment 12 is already integrated.
There is development work to do.